<?php

namespace Diamond\Repositories;

use Core\Repository\CrudInterface;
use Core\Repository\PropelQueryAbstract;
use Core\Security\Access;
use Diamond\Infrastructure\Models\User\User as UserEntity;
use Diamond\Infrastructure\Models\User\UserQuery;
use Propel\Runtime\ActiveRecord\ActiveRecordInterface;

/**
 * Description of Bonus
 * @deprecated
 * @author Dmitriy
 */
class User extends PropelQueryAbstract implements CrudInterface
{


    public function buildEntity()
    {
        return new UserEntity();
    }

    public function buildQuery()
    {
        return UserQuery::create();
    }

}
